digiKam Software Collection 4.13.0 released...

digiKam-4.13.0

Dear digiKam fans and users,

The digiKam Team is proud to announce the release of digiKam Software Collection 4.13.0. This release is the result of another huge bugs triage on KDE bugzilla where more than 30 files have been closed. Thanks to Maik Qualmann who maintain KDE4 version while KF5 port and GSoC 2015 projects are in progress. Both are planed to be completed while sprint 2016.

As with 4.12.0, this new release comes with OSX PKG installers for Maverick, and Yosemite. Note that you must considerate digiKam under OSX as beta stage, not stable as under Linux. Some dysfunctions have been identified and fixed with this release. PKG installer includes last Exiv2 0.25, LibRaw 0.17.0, and LensFun 0.3.1 which do not exist yet in Macports repository. Exiv2 includes huge fixes about video support which can crash digiKam, and Libraw/Lensfun add new recent camera supports. In the future, we plan to include Hugin CLI tools too required at run-time by Panorama and ExpoBlending tools.

The OSX digiKam PKG is not an Apple signed bundle installer. To do it we must pay 99$ by year which is very expensive for an Open Source project. If your computer is protected by Apple GateKeeper, you can bypass safety this protection at install time without to touch your computer settings. Just follow simple instructions given in this tutorial.

For more details, you can consult the huge list of the issues closed in digiKam 4.13.0 available through the KDE Bugs-tracking System.

The digiKam software collection can be downloaded from the KDE mirrors.

Have fun to use this new important digiKam stable release.

digiKam Team...

Generic plugin

Is there a generic (KIPI) plugin or a digikam batch module, which just invokes any given UNIX command with given arguments (preferably also with options like in the batch queue rename settings, e.g. [dir], [file])?

I would like to call e.g. gimp for FFT processing of a set of images or other non-digikam processing of images.

digiKam BQM

The BQM (Batch Queue Manager) inside digiKam core (not Kipi) do not yet support to call an external tool, but somebody post a patch in this way and we must review this code for a future integration. Look here for details :

https://bugs.kde.org/show_bug.cgi?id=220402

Digikam starts memory run on Ubuntu 14.04

I am having trouble to run digikam on stock Ubuntu 14.04. I tried different approaches to install and run it using different ppa combinations. I installed it with the philip5 ppa. originally only with the extras ppa, then both ppas, then with the kubuntu backports ppa. Uninstalled all, tried different combinations etc... I always get the same problem. Digikam starts fine and seems to work normal, but in the background a memory run starts and goes on until it crashes after 5 minutes or so. Towards the end I get three times a window that says: "Errors occurred while parsing the .pn2 file!". Then the application gets killed. Below is what I get in the terminal. Its the same with digikam 4:3.5 to 4:4.13.

Would be great if someone could help me to troubleshoot this. Best, Matthias


Object::connect: No such signal org::freedesktop::UPower::DeviceAdded(QDBusObjectPath) Object::connect: No such signal org::freedesktop::UPower::DeviceRemoved(QDBusObjectPath) void DBusMenuExporterPrivate::fillLayoutItem(DBusMenuLayoutItem*, QMenu*, int, int, const QStringList&): No id for action void DBusMenuExporterPrivate::fillLayoutItem(DBusMenuLayoutItem*, QMenu*, int, int, const QStringList&): No id for action void ....
...~30x
DBusMenuExporterPrivate::fillLayoutItem(DBusMenuLayoutItem*, QMenu*, int, int, const QStringList&): No id for action void DBusMenuExporterPrivate::fillLayoutItem(DBusMenuLayoutItem*, QMenu*, int, int, const QStringList&): No id for action File Parsing error "Errors occurred while parsing the .pn2 file!" File Parsing error "Errors occurred while parsing the .pn2 file!" File Parsing error KCrash: Application 'digikam' crashing... QSocketNotifier: Invalid socket 25 and type 'Read', disabling... QSocketNotifier: Invalid socket 29 and type 'Read', disabling... QSocketNotifier: Invalid socket 76 and type 'Read', disabling... KCrash: Attempting to start /usr/lib/kde4/libexec/drkonqi from kdeinit KCrash: Connect sock_file=/home/masi/.kde/socket-masi-macbuntu/kdeinit4__0 digikam: Fatal IO error 9 (Bad file descriptor) on X server :0.Killed

Open a bug for that crash in

Open a bug for that crash in digikam at https://bugs.kde.org and make a full bug report as described here: https://www.digikam.org/contrib

A full back trace as described in that link will give more information about your problem. It's not unlikely that your problem is within exiv2 that digikam use and not really in digikam. If so you might be directed to report the crash to exiv2 that is the tool that digikam use to parse many files. If the bug is in exiv2 and there is a bug fix for it that's not too invasive then notify me so I can patch exiv2 on my PPA and update the package so you don't have to wait until april 2016 for the next official update of exiv2. :)

/Philip

Hi thanks for your help. I

Hi thanks for your help. I was able to trouble shoot the problem with the back trace. It turned out to be a problem with some marble packages. I removed and reinstalled them and now it works like a charm. Thanks a lot! Seems to be great software!

Good to know that it worked

Good to know that it worked out for you. Have fun and happy digikaming! :)

/Philip

Macports still 4.9.0?

Looks like the Macports version is still 4.9.0? The problem with this is, the compile fails at my end, apparently because Macport's opencv is version 3 but digikam 4.9.0 seems to require opencv v2.

Or is there a trick that I need to know in order to see 4.13.0 in the Macports repository? Perhaps some "enable beta channel" option?

(Downloading the .pkg from kde.org is not an option as the pkg is unsigned and the SHA/MD5/hashes are posted on the same insecure page as the link to the pkg.)

I love digikam on my little netbook and want to have it on my Mac too (larger screen, more CPU power :)

Thanks,
Christoph

There is nothing magic...

digiKam 4.9.0 to 4.13.0 still use OpenCV2. The way to build OSX PKG is to switch Macport opencv package to right version using subversion history.

digiKam 4.14.0 will support OpenCV 2 and 3.

Thanks for the quick

Thanks for the quick feedback! I'll try to figure out this subversion history thingy - can't be too hard I guess :)

But wait... even when I

But wait... even when I change the opencv version, Macports still has digiKam 4.9.0 only...

Windows port

Hello, is there no windows port this time?

Thanks